# Uses of Class
javax.management.relation.RoleInfoNotFoundException

Packages that use RoleInfoNotFoundException
Package
Description
javax.management.relation
Provides the definition of the Relation Service.

## Uses of RoleInfoNotFoundException in javax.management.relation

Methods in javax.management.relation that throw RoleInfoNotFoundException
Modifier and Type
Method
Description
`RoleInfo`
RelationService.`getRoleInfo(String relationTypeName, String roleInfoName)`
Retrieves role info for given role name of a given relation type.
`RoleInfo`
RelationServiceMBean.`getRoleInfo(String relationTypeName, String roleInfoName)`
Retrieves role info for given role of a given relation type.
`RoleInfo`
RelationType.`getRoleInfo(String roleInfoName)`
Returns the role info (RoleInfo object) for the given role info name (null if not found).
`RoleInfo`
RelationTypeSupport.`getRoleInfo(String roleInfoName)`
Returns the role info (RoleInfo object) for the given role info name (null if not found).